SystemOrganization addCategory: #ConfigurationOfConcreteTypeInference!

Object subclass: #ConfigurationOfConcreteTypeInference
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfConcreteTypeInference'!

!ConfigurationOfConcreteTypeInference class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:20'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfConcreteTypeInference class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:20'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfConcreteTypeInference class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:21'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfConcreteTypeInference class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:22'!
loadDefault
	(self project version: '0.1-version') load! !

!ConfigurationOfConcreteTypeInference class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:22'!
loadLast
	self project lastVersion load! !

!ConfigurationOfConcreteTypeInference class methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 19:22'!
project

	^self new project! !

!ConfigurationOfConcreteTypeInference methodsFor: 'baseline' stamp: 'SantiagoBragagnolo 6/9/2012 15:14'!
baseline10: spec 
    <version: '1.0-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/ConcreteTypeInference'.
		
		spec project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
									loads: #('default' );
									file: 'ConfigurationOfSmallUML';
									repository: 'http://www.squeaksource.com/smallUML'. ].
								
		spec project: 'paulLePoulpe' with: [ spec className: 'ConfigurationOfPaulLePoulpe'; 
									loads: #('default' );
									file: 'ConfigurationOfPaulLePoulpe';
									repository: 'http://ss3.gemstone.com/ss/PaulLePoulpe'. ].
		

		spec project:'cogVm' with:[ spec className: 'ConfigurationOfCog';
									loads:#('default');
									file: 'ConfigurationOfCog';
									repository: 'http://www.squeaksource.com/MetacelloRepository'. ].
								
		spec package: 'TypeInference' with: [ spec requires: #('paulLePoulpe' ) ].
		spec package: 'KwisatzHaderach' with: [ spec requires: #( 'TypeInference' 'smallUML' 'magritte3' 'glamour') ].
		
		spec group:'default' with:#('TypeInference', 'KwisatzHaderach').
		spec group:'development' with:#('TypeInference' 'KwisatzHaderach' 'cogVm').
		
		
	].
		! !

!ConfigurationOfConcreteTypeInference methodsFor: 'as yet unclassified' stamp: 'SantiagoBragagnolo 6/3/2012 20:06'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) new.
		constructor project projectAttributes: (Array with: Smalltalk os platformName asSymbol).
		constructor on: self.
		project := constructor project.
		project]! !
